/*
 Theme Name:     Haven Porvoo -teema (Hello)
 Theme URI:      https://www.kotisivutviikossa.com/
 Description:    Havenin kustomoitu lapsiteema.
 Author:         Robin
 Author URI:     https://www.kotisivutviikossa.com/
 Template:       hello-elementor
 Version:        2.0
*/
 
/* =Theme customization starts here
------------------------------------------------------- */


html {
	overflow-x: hidden;
}

a {
	color: var(--e-global-color-accent);
}

html, body, input {
	font-family: var(--e-global-typography-text-font-family), sans-serif;
	font-weight: var(--e-global-typography-text-font-weight);
  line-height: 1.3em;
}

h1, h2, h3, h4, h5, h6 {
	font-family: var(--e-global-typography-primary-font-family), sans-serif;
	font-weight: var(--e-global-typography-primary-font-weight);
  line-height: var(--e-global-typography-primary-line-height);
}

.e-con > .e-con-inner {
	max-width: min(var(--content-width), calc(100% - 48px))!important;
}

.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals {
	float: none;
	width: 100%;
}

.woocommerce table.shop_table {
	border-collapse: collapse;
	border: 2px solid var(--e-global-color-7f536b8);
	border-radius: 0 0;
}

#add_payment_method table.cart td, #add_payment_method table.cart th, .woocommerce-cart table.cart td, .woocommerce-cart table.cart th, .woocommerce-checkout table.cart td, .woocommerce-checkout table.cart th, .woocommerce table.shop_table td, .woocommerce table.shop_table th {
	background: #fff;
	border-left: 0;
	border-right: 0;
	border-top: 1px solid var(--e-global-color-7f536b8)!important;
	border-bottom: 2px solid var(--e-global-color-7f536b8)!important;
}

table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th {
	background: transparent;
}

#add_payment_method .cart-collaterals .cart_totals tr td, #add_payment_method .cart-collaterals .cart_totals tr th, .woocommerce-cart .cart-collaterals .cart_totals tr td, .woocommerce-cart .cart-collaterals .cart_totals tr th, .woocommerce-checkout .cart-collaterals .cart_totals tr td, .woocommerce-checkout .cart-collaterals .cart_totals tr th {
	background: #fff;
	border-top: 1px solid var(--e-global-color-7f536b8);
	border-bottom: 1px solid var(--e-global-color-7f536b8);
}

#add_payment_method .cart-collaterals .cart_totals tr td, .woocommerce-cart .cart-collaterals .cart_totals tr td, .woocommerce-checkout .cart-collaterals .cart_totals tr td, table.cart td:last-child, table.cart th:last-child {
	text-align: right;
}

#add_payment_method table.cart .product-thumbnail, .woocommerce-cart table.cart .product-thumbnail, .woocommerce-checkout table.cart .product-thumbnail {
	display: none;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button {
	background: var(--e-global-color-primary);
	color: #fff;
	padding: 10px 16px 12px;
	border-radius: 8px;
}

.woocommerce #content table.cart td.actions .input-text, .woocommerce table.cart td.actions .input-text, .woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text {
	font-size: 1rem;
	width: 12em;
}



#add_payment_method .wc-proceed-to-checkout a.checkout-button, .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, .woocommerce-checkout .wc-proceed-to-checkout a.checkout-button {
	border-radius: 100px;
	width: auto;
	display: table;
	padding: 16px 64px 18px;
	margin: 0 0 0 auto;
	background: var(--e-global-color-accent);
}

.cart_totals  h2 {
	font-size: 1.2rem;
	background: var(--e-global-color-7f536b8);
	margin: 0;
	padding: 12px 14px 12px;
}



input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea, .woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
	line-height: 1.5em;
}

.select2-container--default .select2-selection--single {
	line-height: 1.5em;
	height: auto;
	border: 2px solid var( --e-global-color-6037585 );
	border-radius: 8px;
}

.select2-container .select2-selection--single {
	font-size: 1rem;
	height: 3em!important;
	line-height: 2em;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 1.75em;
	padding: 0.5em 1em;
	font-size: 1rem;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 46px;
	right: 5px;
}

.woocommerce-account .woocommerce-MyAccount-content {
	background: #fff;
	padding: 32px;
	width: 75%;
}

.woocommerce-account .woocommerce-MyAccount-content h2 {
	color: var(--e-global-color-primary);
	font-size: 1.25rem;
	margin-bottom: 1em!important;
}

.woocommerce-account .woocommerce-MyAccount-navigation {
	width: 25%;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul {
	list-style-type: none;
	padding: 0 0 0 0;
	margin: 0 0 0 0;
	display: grid;
	grid-gap: 8px;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
	display: block;
	background: #f1f2f3;
	padding: 12px;
	text-align: center;
	font-weight: 700;
	color: var(--e-global-color-primary);
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a {
	background: #fff;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li:hover a {
	background: var(--e-global-color-accent);
	color: #fff;
}

body .jet-mobile-menu__item>.jet-mobile-menu__list {
  padding-top: 0;
}

.tomtoi-notice {
	background: var( --e-global-color-2b64ad9 );
	padding: 14px 16px;
	border-radius: 8px;
}

.tomtoi-notice i {
	color: var(--e-global-color-primary);
	font-size: 24px;
	margin-right: 0.25em;
	display: inline-block;
	line-height: 1;
}

.tomtoi-notice span {
	color: var(--e-global-color-text);
	vertical-align: top;
}

.variation-listing {
	display: none!important;
}

.tomtoi-notice.tomtoi-attention {
	background: var( --e-global-color-6f1436b );
}

.tomtoi-notice.tomtoi-attention a {
	color: inherit;
	text-decoration: underline;
}

button, button.jet-form-builder__submit {
	background: var(--e-global-color-accent);
	color: #fff;
	border: 0;
	font-weight: 700;
}

.jet-form-builder__label-text {
	font-weight: 700;
	margin-bottom: 4px;
}

#billing_type_field {
	clear: both;
}

:where(.wp-block-columns.is-layout-flex) {
	margin-bottom: 0em;
	gap: 2em;
}

.jet-list-tree >.jet-checkboxes-list__row .jet-checkboxes-list__button .jet-checkboxes-list__label {
	font-weight: 700;
	font-size: 1rem!important;
}

.jet-filter-items-dropdown .jet-checkboxes-list-wrapper {
  padding: 10px 12px;
}

@media screen and (max-width: 767px) {
  .jet-listing .slick-list, .jet-listing-dynamic-field__content .slick-list {
  padding-right: 20%;
}

}
